import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { bgType, fxedType, mrgnType } from '../types/baseType';
import * as i0 from "@angular/core";
declare type navbarType = 'navbar-expand-sm' | 'navbar-expand-md' | 'navbar-expand-lg' | 'navbar-expand-xl' | 'navbar-expand-xxl' | 'navbar-light' | 'navbar-dark' | 'sticky-top' | bgType | fxedType | mrgnType;
declare type sideType = 'left' | 'right';
declare type brandType = mrgnType | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
export declare class NavbarComponent implements OnInit {
    private renderer;
    side: sideType;
    clss: navbarType[];
    brnd: brand;
    styl: object;
    brandCntr: ElementRef;
    clps: boolean;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    tgle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavbarComponent, "ngb-navbar", never, { "side": "side"; "clss": "clss"; "brnd": "brnd"; "styl": "prpt"; }, {}, never, ["*"]>;
}
export interface brand {
    text: string;
    clss: brandType[];
    imag: string;
}
export {};
